Admin/Update Gateway
PUT /v1/admin/gateway/{id}

Update Gateway

Base URL https://api.{cluster}.{platform}.voiger.io
Request · cURL
curl -X PUT https://api.{cluster}.{platform}.voiger.io/v1/admin/gateway/{id} \
  -H "Cookie: sid=$VOIGER_SESSION" \
  -H "x-workspace-code: your-workspace-code" \
  -H "x-csrf-token: $CSRF_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
       "gateway": {
         "name": "Good",
         "priority": 10,
         "config": {
           "username": "user",
           "password": "pass"
         }
       }
     }'

Parameters

x-workspace-code string required in header
x-csrf-token string required in header
id string required in path

Response

gateway▾
object
id
string
name
string
channel
string
mutable
boolean
priority
number
config▾
object
username
string
created_at
string
updated_at
string